Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.modelo
Class Factor

    java.lang.Object
      eia.modelo.Factor

    public class Factor

extends java.lang.Object

Clase que implementa un factor ambiental.

Constructor Summary
`Factor()` Constructor por defecto.
`Factor(java.lang.String id, int peso)` Constructor por parámetros.

Method Summary
`java.lang.String` | `getId()` Accesor para el atributo 'id'.
`int` | `getPeso()` Accesor para el atributo 'peso'.
`void` | `setId(java.lang.String id)` Mutador para el atributo 'id'.
`void` | `setPeso(int peso)` Mutador para el atributo 'peso'.
`java.lang.String` | `toString()` Vuelca sobre un String la información sobre el factor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Factor

    public Factor()

  Constructor por defecto.

### Factor

    public Factor(java.lang.String id,
                  int peso)

  Constructor por parámetros.

  Parameters:
    `id` - Nombre del factor ambiental.
    `peso` - Valor de peso del factor ambiental.

Method Detail

### setId

    public void setId(java.lang.String id)

  Mutador para el atributo 'id'.

  Parameters:
    `id` - Nombre a asignar al factor ambiental.

### getId

    public java.lang.String getId()

  Accesor para el atributo 'id'.

  Returns:
    Nombre del factor ambiental.

### setPeso

    public void setPeso(int peso)

  Mutador para el atributo 'peso'.

  Parameters:
    `peso` - Valor de peso a asignar al factor ambiental.

### getPeso

    public int getPeso()

  Accesor para el atributo 'peso'.

  Returns:
    Valor de peso del factor ambiental.

### toString

    public java.lang.String toString()

  Vuelca sobre un String la información sobre el factor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Cadena de caracteres con información sobre el factor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD